/**
 * @description 技术栈统计相关数据模板
 * @param {Array} technologyDataType 需要扫描的技术栈分类
 * @param {Object} technologyDataTemplate  技术栈存储模板
 */
// import { TechModelItem } from '../types';

const techData = {
    name: '',
    version: '',
};

export default {
    technologyDataType: [
        { name: 'uiframe', reg: /^react$|^vue$|^angular$/g },
        { name: 'dataManage', reg: /^redux$|^react-redux$|^vuex$/g },
        { name: 'language', reg: /^typescript$/g },
        { name: 'ssrFrame', reg: /^next$|^nuxt$|^mini-next$/g },
        { name: 'csslanguage', reg: /^sass-loader$|^less-loader$|^stylus-loader$/g },
        // { name: 'checkRule', reg: /^eslint$/g },
        { name: 'componentsLibrary', reg: /^ant-design-vue$|^antd$|^antd-mobile$|^cheui-react$/g },

    ],
    technologyDataTemplate: {
        uiframe: techData,
        dataManage: techData,
        language: techData,
        ssrFrame: techData,
        csslanguage: techData,

        checkRule: techData,
        componentsLibrary: {},
        commitRule: techData,

    },
};
