"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const techData = {
    name: '',
    version: '',
};
exports.default = {
    technologyDataType: [
        { name: 'uiframe', reg: /^react$|^vue$|^angular$/g },
        { name: 'dataManage', reg: /^redux$|^react-redux$|^vuex$/g },
        { name: 'language', reg: /^typescript$/g },
        { name: 'ssrFrame', reg: /^next$|^nuxt$|^mini-next$/g },
        { name: 'csslanguage', reg: /^sass-loader$|^less-loader$|^stylus-loader$/g },
        { name: 'componentsLibrary', reg: /^ant-design-vue$|^antd$|^antd-mobile$|^cheui-react$/g },
    ],
    technologyDataTemplate: {
        uiframe: techData,
        dataManage: techData,
        language: techData,
        ssrFrame: techData,
        csslanguage: techData,
        checkRule: techData,
        componentsLibrary: {},
        commitRule: techData,
    },
};
